#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.13.0.0
visibility:           public
id:                   lsp-test-0.13.0.0-6oGZxHhJjW5BQx0LGrP2XV
key:                  lsp-test-0.13.0.0-6oGZxHhJjW5BQx0LGrP2XV
license:              BSD-3-Clause
copyright:            2021 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:             https://github.com/bubba/lsp-test#readme
synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire, and @Language.LSP.Test@ can replay captured sessions from
    <haskell-lsp https://hackage.haskell.org/package/haskell-lsp>.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  34cac2cc085e8a392fbbab79ead1b6c1
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd:Control.Applicative.Combinators,
    Language.LSP.Test,
    Language.LSP.Types from lsp-types-1.1.0.0-IIc1qNPSnpQ3Uh9C91eGcN:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.1.0.0-IIc1qNPSnpQ3Uh9C91eGcN:Language.LSP.Types.Capabilities

hidden-modules:
    Language.LSP.Test.Compat Language.LSP.Test.Decoding
    Language.LSP.Test.Exceptions Language.LSP.Test.Files
    Language.LSP.Test.Parsing Language.LSP.Test.Server
    Language.LSP.Test.Session

import-dirs:          /usr/lib/ghc-8.10.4/site-local/lsp-test-0.13.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/lsp-test-0.13.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/lsp-test-0.13.0.0
hs-libraries:         HSlsp-test-0.13.0.0-6oGZxHhJjW5BQx0LGrP2XV
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-HcPs6Sps3ue5Ixw8qKDE9o
    aeson-1.5.6.0-1F4wJcYByqDF2zyvzlYTcu
    aeson-pretty-0.8.8-3uBQ5vvxQQiF1yJR1fiSeK
    ansi-terminal-0.11-JrxokuW87EZHC7MG8xGaw8
    async-2.2.3-bRJqoep3gj749cy8sss28 base-4.14.1.0
    bytestring-0.10.12.0 conduit-1.3.4.1-JhpFJ1LDCkL1nAd1ht1CK3
    conduit-parse-0.2.1.0-LFTdkSAf42lESvkzeQ7px0 containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV directory-1.3.6.0
    filepath-1.4.2.1 lens-5-KtG5disPT0S2GVDbcUrbVF
    lsp-types-1.1.0.0-IIc1qNPSnpQ3Uh9C91eGcN mtl-2.2.2
    parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd process-1.6.9.0
    some-1.0.2-44LyWDgy81mp7LRTzJ3Bh text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.13.0-HbayT3cnPyF1l0SwMwTqq2

haddock-interfaces:   /usr/share/doc/haskell-lsp-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

